# SourcePath: fuse/20170118dev
Summary: Filesystem in Userspace
Name: sony-target-dev-fuse
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-fuse
Version: 2.9.7
Release: 12000001
License: GPL2 / LGPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://fuse.sourceforge.net/
Source: fuse-%{version}.tar.gz
# LOT scripts
Source10: sony-fuse-libopt-build-fuse
Source11: sony-libulockmgr-libopt-build-libulockmgr
Patch0:fuse-%{version}-disable-compat.patch
Patch1:fuse-%{version}-write_wait.patch
#Patch2:fuse-%{version}-util-linux-ng-mount-unmount.patch
Patch3:fuse-2.9.7-fix-ioctl.patch
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
FUSE (Filesystem in Userspace) is a simple interface for userspace
programs to export a virtual filesystem to the Linux kernel.  FUSE
also aims to provide a secure method for non privileged users to
create and mount their own filesystem implementations.

%package -n %{pkgname}
Summary: Filesystem in Userspace
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
FUSE (Filesystem in Userspace) is a simple interface for userspace
programs to export a virtual filesystem to the Linux kernel.  FUSE
also aims to provide a secure method for non privileged users to
create and mount their own filesystem implementations.

%prep
%setup -n fuse-%{version}
%patch0 -p1
%patch1 -p1
#%patch2 -p1
%patch3 -p1
touch aclocal.m4 Makefile.in Makefile.am

%build
%sony_target_dev_setup
./configure \
         --disable-kernel-module \
         --disable-compat \
         --host=%{sony_target_config} \
         --build=%{sony_host_config} \
         --prefix=%{sony_target_dev_prefix} \
	 --includedir=%{sony_target_dev_include_dir} \
         --disable-nls \
	 MOUNT_FUSE_PATH=%{sony_target_dev_sbin_dir} \
	 INIT_D_PATH=%{sony_target_dev_sysconf_dir}/init.d \
	 UDEV_RULES_PATH=%{sony_target_dev_sysconf_dir}/udev/rules.d

make

%install
rm -rf %{buildroot}
%sony_target_dev_setup

make install \
DESTDIR=%{buildroot}%{sony_target_dir}

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}
# Begin for LOT

mkdir -p %{buildroot}%{sony_target_dir}/lib
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/fuse
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/libulockmgr

# Set Library Optimizer variables
%define _optdir %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo
%define _libdir %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}


# Install Library Optimizer information (fuse)
install -m 755 %{SOURCE10} %{_optdir}/fuse/build
install -m 644 $(find lib/.libs -name "*.o" -not -name "ulockmgr.o") %{_optdir}/fuse/
install -m 644 lib/fuse_versionscript %{_optdir}/fuse/
(cd %{_optdir}/fuse; umask 022; %{sony_cross_bin_dir}/%{sony_tool_triplet}-libindex %{_libdir}/libfuse.so -o *.o > index)
(umask 022; echo "/usr/lib/libfuse.so.2" > %{_optdir}/fuse/path)

# Install Library Optimizer information (libulockmgr)
install -m 755 %{SOURCE11} %{_optdir}/libulockmgr/build
install -m 644 lib/.libs/ulockmgr.o %{_optdir}/libulockmgr/
(cd %{_optdir}/libulockmgr; umask 022; %{sony_cross_bin_dir}/%{sony_tool_triplet}-libindex %{_libdir}/libulockmgr.so -o *.o > index)
(umask 022; echo "/usr/lib/libulockmgr.so.1" > %{_optdir}/libulockmgr/path)


%demangle_libtool

# 6.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" -a "$l" != "optinfo" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_bin_dir}/fusermount
%{sony_target_dir}%{sony_target_dev_bin_dir}/ulockmgr_server
%{sony_target_dir}%{sony_target_dev_include_dir}/fuse.h
%{sony_target_dir}%{sony_target_dev_include_dir}/fuse/fuse.h
%{sony_target_dir}%{sony_target_dev_include_dir}/fuse/fuse_common.h
%{sony_target_dir}%{sony_target_dev_include_dir}/fuse/fuse_common_compat.h
%{sony_target_dir}%{sony_target_dev_include_dir}/fuse/fuse_compat.h
%{sony_target_dir}%{sony_target_dev_include_dir}/fuse/fuse_lowlevel.h
%{sony_target_dir}%{sony_target_dev_include_dir}/fuse/fuse_lowlevel_compat.h
%{sony_target_dir}%{sony_target_dev_include_dir}/fuse/fuse_opt.h
%{sony_target_dir}%{sony_target_dev_include_dir}/ulockmgr.h
%{sony_target_dir}%{sony_target_dev_lib_dir}/libfuse.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libfuse.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/libfuse.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libfuse.so.2
%{sony_target_dir}%{sony_target_dev_lib_dir}/libfuse.so.2.9.7
%{sony_target_dir}%{sony_target_dev_lib_dir}/libulockmgr.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libulockmgr.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/libulockmgr.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libulockmgr.so.1
%{sony_target_dir}%{sony_target_dev_lib_dir}/libulockmgr.so.1.0.1
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/init.d/fuse
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/udev/rules.d/99-fuse.rules
%{sony_target_dir}%{sony_target_dev_sbin_dir}/mount.fuse

%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/*

%{sony_target_dir}%{sony_target_devtool_lib_dir}/libfuse.a
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libulockmgr.a
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/fuse.pc

%{sony_target_dir}%{sony_target_devtool_include_dir}/fuse/cuse_lowlevel.h

%changelog
* Wed Jan 18 2017 Sony Corporation
- updated 2.9.3 -> 2.9.7

* Thu May 05 2016 Sony Corporation
- Added armhf support in LOT build script

* Fri Mar 07 2014 Sony Corporation
- Updated disable compat patch for latest autoconf
- Added ioctl fix patch

* Tue Sep 10 2013 Sony Corporation
- Version update from 2.9.2 -> 2.9.3

* Thu Jul 04 2013 Sony Corporation
- Remove man pages

* Fri Nov 09 2012 Sony Corporation
- Version update from 2.9.1 -> 2.9.2

* Mon Oct 01 2012 Sony Corporation
- Version update from 2.7.4 -> 2.9.1

* Wed May 25 2011 Sony Corporation
- added fuse write wait fix patch

* Thu Mar 11 2010 Sony Corporation
- add CVE-2009-3297 fix patch

* Thu Apr 16 2009 Sony Corporation
- Updated to 6.x

* Tue Jan 27 2009 Sony Corporation 
- Source update to 2.7.4 from 2.7.1
- rpmmacros sony_tool_triplet is used

* Mon Jun 09 2008 Sony Corporation
- add %demangle_libtool

* Mon Nov 04 2007 Sony Corporation
- bugfix fusermount -u patch (fuse-2.7.1-fix-umount.patch)
- bugfix libopt exec error patch (fuse-2.7.1-disable-compat.patch)

* Mon Oct 15 2007 Sony Corporation
- Initial build
